Description

Brilliant pfSense DevTeam!

WHERE

in Services / Suricata package

on Interfaces

ISSUE

Interface Description not updated properly in General Settings / Description when add/creating new interface in Suricata (by

pressing “+” button at the right):

When page first time loaded, the Description field are pre-filled by Inreface name (taked from Interfaces / General Configurateion

page from Description field).

AFTER ANOTHER INTERFACE from drop-down list SELECTED , the DESCRIPTION PRE-FILLDE BY BSD INTERFACE NAME

(LAN, WAN, OPT1, OPT2,…) and not the Inreface name (taked from Interfaces / General Configurateion page from Description

field).

P.S.

Also would be good after first page loading AUTOMATICALLY take focus and select all text in Description field.

History

#1 - 03/16/2024 09:43 PM - Chris W

- Status changed from New to Confirmed

Similar behavior as seen with Snort (#15334). Differences are:

- When you change the dropdown selection of an interface while adding one in Suricata, the Description changes to the appropriate interface's BSD

name. Still not linked to the user-assigned interface name, however.

- If you delete the Description in Suricata, it won't automatically add the user-assigned interface name like Snort does. It fills in the BSD name. For

example, select the GUESTWIFI interface, delete Description: OPT1, click Save. OPT1 is still what's shown in the Interface Overview's Description

column.

#2 - 03/20/2024 06:32 PM - Bill Meeks

A pull request containing the fix for this issue has been posted against the RELENG_2_7_2 pfSense CE branch here: 

https://github.com/pfsense/FreeBSD-ports/pull/1353.

When this request is merged, this issue can be marked as RESOLVED.

#3 - 03/21/2024 06:02 PM - Jim Pingle

- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

PR merged, thanks!
